
var _window = Titanium.UI.createWindow({  
  backgroundColor:'#fff'
});
var views = [];
		
		function makeView(color) {
			return Ti.UI.createView({
				right: 0, left: 0, top: 0, bottom: 0,
				backgroundColor: color
			});
		};
		
		views.push(makeView("red"));
		views.push(makeView("green"));
		views.push(makeView("blue"));
		var scrollableView = Ti.UI.createScrollableView({
			bottom: "50dp", left: "10dp", right: "10dp", top: "50dp",
			views: views
		});
		_window.add(scrollableView);
		
		// Switch to toggle the showPagingControl property on the scrollable view.
		var showControlSwitch = Ti.UI.createSwitch({
			value: scrollableView.showPagingControl,
			enabled:true,
			title: "showPagingControl?",
			bottom: "5dp", height: "40dp", left: "10dp", width: "150dp"
		});
		_window.add(showControlSwitch);
		
		// Displays current value of showPagingControl property.
		// This should default to false.
		var showControlProperty = Ti.UI.createLabel({
			left: "160dp", text: "value: " + scrollableView.showPagingControl,
			bottom: "5dp", height: "40dp", right: "5dp"
		});
		_window.add(showControlProperty);
		
		showControlSwitch.addEventListener('change', function (e) {
		  scrollableView.showPagingControl = e.value;
		  showControlProperty.text = 'value: ' + scrollableView.showPagingControl;
		});
		
		 _window.open();